Bug 1218320 - Install the Nagios checkresults directory with group-writable permissions
Summary: Install the Nagios checkresults directory with group-writable permissions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stephen John Smoogen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-04 15:06 UTC by fedora.dm0
Modified: 2017-07-23 22:53 UTC (History)
7 users (show)

Fixed In Version: nagios-4.3.2-5.el6 nagios-4.3.2-5.fc26 nagios-4.3.2-5.el7 nagios-4.3.2-5.fc24 nagios-4.3.2-5.fc25
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-23 02:20:09 UTC


Attachments (Terms of Use)

Description fedora.dm0 2015-05-04 15:06:32 UTC
Description of problem:
Nagios has the NRDP server to receive passive service checks, which is just a PHP web page running as the "apache" user.  It needs to write its results to the Nagios checkresults spool directory to be processed, but this directory is only writable by the "nagios" user.

Since the Nagios RPM puts the "apache" user in the "nagios" group, group-write permissions on the directory should fix this.  (Maybe SELinux policy could also restrict httpd to only creating and writing files here, but that can be a separate issue.)

Version-Release number of selected component (if applicable):
3.5.1-7 (current)

How reproducible:
Always

Steps to Reproduce:
1. Send a request to the NRDP URL on a Nagios server.

Actual results:
It fails to write to the checkresults directory, and the passive checks are not processed.

Expected results:
It should be able to write its spool files and have their results show up in Nagios.

Additional info:
The directory is listed in %files as "%attr(0750,nagios,nagios) %dir %{_localstatedir}/log/%{name}/spool/checkresults", which could have 0750 changed to 0770.

Comment 1 Jan Kurik 2015-07-15 14:11:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 fedora.dm0 2015-10-21 19:54:26 UTC
Just noting that this is still an issue since the update to version 4.

Comment 3 Jan Kurik 2016-02-24 13:23:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Fedora Admin XMLRPC Client 2017-01-20 16:50:54 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 5 Fedora Admin XMLRPC Client 2017-01-20 16:59:35 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 6 Stephen John Smoogen 2017-06-14 16:30:06 UTC
My apologies. When I took over the package in January I did not see this bug outstanding. I have started the change and it should show up in the 

nagios-4.3.2-3 package.

Comment 7 Fedora Update System 2017-06-14 17:48:00 UTC
nagios-4.3.2-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 8 Fedora Update System 2017-06-14 18:14:30 UTC
nagios-4.3.2-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 9 Fedora Update System 2017-06-14 18:26:21 UTC
nagios-4.3.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 10 Fedora Update System 2017-06-14 18:53:07 UTC
nagios-4.3.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 11 Fedora Update System 2017-06-14 18:58:52 UTC
nagios-4.3.2-3.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 12 Fedora Update System 2017-06-15 09:46:21 UTC
nagios-4.3.2-3.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-16880697fe

Comment 13 Fedora Update System 2017-06-15 09:47:56 UTC
nagios-4.3.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-0f6d46ab05

Comment 14 Fedora Update System 2017-06-15 10:57:02 UTC
nagios-4.3.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9943d302bd

Comment 15 Fedora Update System 2017-06-15 10:58:53 UTC
nagios-4.3.2-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-22fdee517d

Comment 16 Fedora Update System 2017-06-15 14:00:53 UTC
nagios-4.3.2-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-be21da56cb

Comment 17 Fedora Update System 2017-06-28 19:26:48 UTC
nagios-4.3.2-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 18 Fedora Update System 2017-06-29 23:25:12 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ff366a9c63

Comment 19 Fedora Update System 2017-06-30 01:16:08 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-328a23d1ed

Comment 20 Fedora Update System 2017-06-30 01:20:55 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-a6bf582624

Comment 21 Fedora Update System 2017-06-30 01:50:26 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-f1f1f14fbc

Comment 22 Fedora Update System 2017-06-30 02:26:15 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-72d4579efc

Comment 23 Fedora Update System 2017-07-23 02:20:09 UTC
nagios-4.3.2-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-07-23 03:54:26 UTC
nagios-4.3.2-5.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-07-23 18:49:15 UTC
nagios-4.3.2-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2017-07-23 21:50:17 UTC
nagios-4.3.2-5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2017-07-23 22:53:41 UTC
nagios-4.3.2-5.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.